=== modified file 'drizzled/cursor.cc'
--- drizzled/cursor.cc	2011-06-23 14:03:48 +0000
+++ drizzled/cursor.cc	2011-07-27 18:29:07 +0000
@@ -1363,6 +1363,8 @@
   */
   assert(next_insert_id == 0);
 
+  // OS X Lion broke if() based d-trace probes 
+#ifndef TARGET_OS_OSX
   if (DRIZZLE_CURSOR_RDLOCK_START_ENABLED() ||
       DRIZZLE_CURSOR_WRLOCK_START_ENABLED() ||
       DRIZZLE_CURSOR_UNLOCK_START_ENABLED())
@@ -1383,6 +1385,7 @@
                                   getTable()->getShare()->getTableName());
     }
   }
+#endif
 
   /*
     We cache the table flags if the locking succeeded. Otherwise, we
@@ -1391,6 +1394,7 @@
 
   int error= external_lock(session, lock_type);
 
+#ifndef TARGET_OS_OSX
   if (DRIZZLE_CURSOR_RDLOCK_DONE_ENABLED() ||
       DRIZZLE_CURSOR_WRLOCK_DONE_ENABLED() ||
       DRIZZLE_CURSOR_UNLOCK_DONE_ENABLED())
@@ -1408,6 +1412,7 @@
       DRIZZLE_CURSOR_UNLOCK_DONE(error);
     }
   }
+#endif
 
   return error;
 }

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-07-26 16:13:43 +0000
+++ drizzled/include.am	2011-07-27 18:29:07 +0000
@@ -1009,9 +1009,6 @@
 	mv drizzled/generated_probes.h drizzled/generated_probes.h.bak
 	sed "s/#include <unistd.h>//g" drizzled/generated_probes.h.bak > drizzled/generated_probes.h
 	rm drizzled/generated_probes.h.bak
-	sed -e 's,void \*,const void \*,g' drizzled/generated_probes.h | \
-		sed -e 's,char \*,const char \*,g' | sed -e 's,const const ,const ,g' | tr '\t' ' ' > dtrace_probes.tmp
-	mv dtrace_probes.tmp drizzled/generated_probes.h
 
 
 SUFFIXES+= .d .gch .gperf .stamp-h

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2011-06-24 15:25:06 +0000
+++ drizzled/sql_insert.cc	2011-07-27 18:29:07 +0000
@@ -1428,10 +1428,13 @@
     table->cursor->ha_release_auto_increment();
   }
 
+  // OS X Lion broke if() based d-trace probes 
+#ifndef TARGET_OS_OSX
   if (DRIZZLE_INSERT_SELECT_DONE_ENABLED())
   {
     DRIZZLE_INSERT_SELECT_DONE(0, info.copied + info.deleted + info.updated);
   }
+#endif
 
   return;
 }

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-07-25 14:24:19 +0000
+++ drizzled/sql_parse.cc	2011-07-27 18:29:07 +0000
@@ -361,6 +361,8 @@
   session->set_proc_info(NULL);
   session->mem_root->free_root(MYF(memory::KEEP_PREALLOC));
 
+  // OS X Lion broke if() based d-trace probes 
+#ifndef TARGET_OS_OSX
   if (DRIZZLE_QUERY_DONE_ENABLED() || DRIZZLE_COMMAND_DONE_ENABLED())
   {
     if (command == COM_QUERY)
@@ -369,6 +371,7 @@
     }
     DRIZZLE_COMMAND_DONE(session->is_error());
   }
+#endif;
 
   return error;
 }

